<?php

define('DiscloseSecret_VERSION', '2.4');
define('DiscloseSecret_PLUGIN_ID', 'disclose-secret');
define('DiscloseSecret_PLUGIN_NAME', 'Disclose-Secret');
define('DiscloseSecret_DIR', 'wp-content/plugins/disclose-secret');

define('DiscloseSecret_POST_CAP', 'disclosesecret_cap_');
define('DiscloseSecret_POST_ROLE', 'disclosesecret_role_');
define('DiscloseSecret_POST_USER', 'disclosesecret_user_');
define('DiscloseSecret_POST_FEED_PRIVACY', 'disclosesecret_feed_privacy');
define('DiscloseSecret_POST_FEED_TEASER', 'disclosesecret_feed_teaser');
define('DiscloseSecret_POST_REWRITE_FEED_LINK', 'disclosesecret_rewrite_feed_link');
define('DiscloseSecret_POST_OVERRIDE_PLUGIN_DEACTIVATION', 'disclosesecret_override_plugin_deactivation');
define('DiscloseSecret_POST_HTTP_AUTH', 'http_auth');
define('DiscloseSecret_POST_HTTP_AUTH_DO', 'yes');
define('DiscloseSecret_POST_PRINT_CAP_FORM', 'disclosesecret_print_cap_form');
define('DiscloseSecret_POST_PRINT_ROLE_FORM', 'disclosesecret_print_role_form');
define('DiscloseSecret_POST_PRINT_USER_FORM', 'disclosesecret_print_user_form');

// hide metas in 'write' panel by prefixing with underscore
define('DiscloseSecret_META_CAP', '_disclosesecret_cap');
define('DiscloseSecret_META_ROLE', '_disclosesecret_role');
define('DiscloseSecret_META_USER', '_disclosesecret_user');

define('DiscloseSecret_INDEX_ID', 'id');
define('DiscloseSecret_INDEX_NAME', 'name');
define('DiscloseSecret_INDEX_CAN_SEE_PROTECTED', 'can_see_protected');
define('DiscloseSecret_INDEX_CAN_SEE_IMPLICIT', 'can_see_implicit');

define('DiscloseSecret_OPTION_FULL_CONTENT', 'full_content');
define('DiscloseSecret_OPTION_EXCERPT_ONLY', 'excerpt_only');
define('DiscloseSecret_OPTION_TITLE_ONLY', 'title_only');

define('DiscloseSecret_PLACEHOLDER_PERMALINK', '%permalink%');

define('DiscloseSecret_CAPABILITY_PREFIX_LEVEL', 'level_');
define('DiscloseSecret_CAPABILITY_PREFIX_READ', 'read_');

define('DiscloseSecret_MIGRATION_DONE', 0);
define('DiscloseSecret_MIGRATION_NOT_NEEDED', 1);
define('DiscloseSecret_MIGRATION_SKIPPED', 2);

define('DiscloseSecret_STATUS_OKAY', 0);
define('DiscloseSecret_STATUS_UNINITIALIZED', 1);
define('DiscloseSecret_STATUS_WP_VERSION_MISMATCH', 2);
define('DiscloseSecret_STATUS_PLUGIN_VERSION_MISMATCH', 3);
define('DiscloseSecret_STATUS_SQL_VERSION_MISMATCH', 4);

define('DiscloseSecret_MATCH_ALL', 0);
define('DiscloseSecret_MATCH_VALUE_QUOTED_STRING', 1);
define('DiscloseSecret_MATCH_VALUE_QUOTE', 2);
define('DiscloseSecret_MATCH_VALUE_STRING', 3);
define('DiscloseSecret_MATCH_CONDITION', 4);
define('DiscloseSecret_MATCH_TABLE_PREFIX', 5);
define('DiscloseSecret_MATCH_COLUMN_NAME', 6);
define('DiscloseSecret_MATCH_EQUAL_OPERATOR', 7);
define('DiscloseSecret_MATCH_EQUAL_QUOTED_STRING', 8);
define('DiscloseSecret_MATCH_EQUAL_QUOTE', 9);
define('DiscloseSecret_MATCH_EQUAL_STRING', 10);
define('DiscloseSecret_MATCH_IN_OPERATOR', 11);
define('DiscloseSecret_MATCH_IN_QUOTED_STRING', 12);

define('DiscloseSecret_POSTRESTRICTIONS_PLUGIN_ID', 'post_restrictions');
define('DiscloseSecret_POSTRESTRICTIONS_META', 'post_restrictions');

?>